package com.liquidnet.service.goblin.service.manage;

import com.liquidnet.service.goblin.dto.vo.SmileSchoolVo;
import com.liquidnet.service.goblin.dto.vo.SmileSellDataDetailVO;
import com.liquidnet.service.goblin.dto.vo.SmileUserVO;
import com.liquidnet.service.kylin.dto.vo.mongo.KylinPerformanceVo;

import java.util.List;

public interface SmileFrontService {

    public boolean saveOrUpdateUser(SmileUserVO smileUserVO,SmileUserVO redisVo,String type);
    public List<KylinPerformanceVo>  getPerformance();
    public void deleteUser(String uid);
    public boolean auth(String uid,SmileUserVO redisVo,boolean b);
    public SmileSellDataDetailVO getSellDataDetail(String agentId, String ticketId, String activeName, String ticketName);
    public List<SmileSchoolVo> getSchool(String name);
}
